from time import sleep
import robot

POWER = 64
TURN_TIME = 0.75
DRIVE_TIME = 2.5

def main():
    arlo = robot.Robot()

    try:
        while True:
            # Driving forward
            arlo.go_diff(POWER, POWER, 1, 1)
            sleep(DRIVE_TIME)
            arlo.stop()

            # Turning 90 degrees
            arlo.go_diff(POWER, POWER, 1, 0)
            sleep(TURN_TIME)
            arlo.stop()

    except KeyboardInterrupt:
        arlo.stop()


if __name__ == "__main__":
    main()
